package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * WfStatType对象 wf_stat_type
 *
 * @author hlf
 * @date 2022-01-10
 */
public class WfStatType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long pfIfpowercurve;

    private Long pfBase;

    private Long statIfpowercurve;

    private Long statBase;

    private String windplantName;

    private String pfIfpowercurveName;

    private String pfBaseName;

    private String statBaseName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setPfIfpowercurve(Long pfIfpowercurve) {
        this.pfIfpowercurve = pfIfpowercurve;
    }

    public Long getPfIfpowercurve() {
        return pfIfpowercurve;
    }

    public void setPfBase(Long pfBase) {
        this.pfBase = pfBase;
    }

    public Long getPfBase() {
        return pfBase;
    }

    public void setStatIfpowercurve(Long statIfpowercurve) {
        this.statIfpowercurve = statIfpowercurve;
    }

    public Long getStatIfpowercurve() {
        return statIfpowercurve;
    }

    public void setStatBase(Long statBase) {
        this.statBase = statBase;
    }

    public Long getStatBase() {
        return statBase;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getPfIfpowercurveName() {
        return pfIfpowercurveName;
    }

    public void setPfIfpowercurveName(String pfIfpowercurveName) {
        this.pfIfpowercurveName = pfIfpowercurveName;
    }

    public String getPfBaseName() {
        return pfBaseName;
    }

    public void setPfBaseName(String pfBaseName) {
        this.pfBaseName = pfBaseName;
    }

    public String getStatBaseName() {
        return statBaseName;
    }

    public void setStatBaseName(String statBaseName) {
        this.statBaseName = statBaseName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("pfIfpowercurve", getPfIfpowercurve())
                .append("pfBase", getPfBase())
                .append("statIfpowercurve", getStatIfpowercurve())
                .append("statBase", getStatBase())
                .toString();
    }
}
